%define plugin	remote
%define rel	7

Summary:	VDR plugin: Remote control
Name:		vdr-plugin-%plugin
Version:	0.5.0
Release:	%mkrel %rel
Group:		Video/Utilities
License:	GPL+
URL:		http://www.escape-edv.de/endriss/vdr/
Source:		http://www.escape-edv.de/endriss/vdr/vdr-%plugin-%version.tgz
BuildRequires:	vdr-devel >= 1.6.0
Requires:	vdr-abi = %vdr_abi

%description
This plugin extends the remote control capabilities of vdr.
The following remote control devices are supported:

(a) linux input device driver ('/dev/input/eventX', X=0,1,2,...)
    - built-in remote control port of the av711x-based DVB cards
      (aka full-featured cards), e.g. DVB-S Nexus [1]
    - remote control port of some budget cards, e.g. Nova-CI [2]
    - other input devices (not tested, please report success!)
    See file FAQ for a list of cards which have been reported to work.

(b) keyboard (tty driver): /dev/console, /dev/ttyX

(c) TCP connection (telnet)

(d) LIRC

%prep
%setup -q -n %plugin-%version
grep -q "^all: install" Makefile
sed -i 's,^all: install,,' Makefile

%vdr_plugin_prep

%vdr_plugin_params_begin %plugin
# Select an input device using evdev protocol
# (/dev/input/... | autodetect)
var=EVDEV_DEVICE
param="-i EVDEV_DEVICE"
# Select an input device using LIRC protocol
# (e.g. /var/run/lirc/lircd)
var=LIRC_DEVICE
param="-l LIRC_DEVICE"
# Select a terminal device for input
var=TTY_DEVICE
param="-t TTY_DEVICE"
# Select a terminal device for input with OSD
var=TTY_OSD_DEVICE
param="-T TTY_OSD_DEVICE"
# Select a connection on tcp port
var=TCP_PORT
param="-p tcp:TCP_PORT"
%vdr_plugin_params_end

%build
%vdr_plugin_build

%install
%vdr_plugin_install

%files -f %plugin.vdr
%doc README HISTORY CONTRIBUTORS FAQ 


%changelog
* Tue Feb 09 2016 umeabot <umeabot> 0.5.0-7.mga6
+ Revision: 951652
- Mageia 6 Mass Rebuild

* Mon Jan 05 2015 anssi <anssi> 0.5.0-6.mga5
+ Revision: 808495
- rebuild with new vdr-devel with cauldron-compatible macros

* Mon Nov 24 2014 anssi <anssi> 0.5.0-5.mga5
+ Revision: 798676
- rebuild for new VDR

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 0.5.0-2.mga4
+ Revision: 545123
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 anssi <anssi> 0.5.0-1.mga4
+ Revision: 498446
- new version 0.5.0
- drop patch, fixed upstream

* Mon Jan 14 2013 umeabot <umeabot> 0.4.0-10.mga3
+ Revision: 385300
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 malo <malo> 0.4.0-9.mga3
+ Revision: 325530
- spec clean-up
- update RPM group

* Wed Mar 07 2012 anssi <anssi> 0.4.0-8.mga2
+ Revision: 221050
- rebuild for VDR 1.7.25

* Sat Feb 25 2012 anssi <anssi> 0.4.0-7.mga2
+ Revision: 214832
- rebuild for VDR 1.7.23

* Sat May 14 2011 anssi <anssi> 0.4.0-6.mga1
+ Revision: 98467
- drop old scriplets
- fix license tag
- imported package vdr-plugin-remote


* Tue Jul 28 2009 Anssi Hannula <anssi@mandriva.org> 0.4.0-5mdv2010.0
+ Revision: 401088
- rebuild for new VDR

* Fri Mar 20 2009 Anssi Hannula <anssi@mandriva.org> 0.4.0-4mdv2009.1
+ Revision: 359359
- rebuild for new vdr

* Mon Apr 28 2008 Anssi Hannula <anssi@mandriva.org> 0.4.0-3mdv2009.0
+ Revision: 197971
- rebuild for new vdr

* Sat Apr 26 2008 Anssi Hannula <anssi@mandriva.org> 0.4.0-2mdv2009.0
+ Revision: 197716
- add vdr_plugin_prep
- bump buildrequires on vdr-devel
- adapt for api changes of VDR 1.5.7 (P0 from e-tobi)

* Fri Feb 29 2008 Anssi Hannula <anssi@mandriva.org> 0.4.0-1mdv2008.1
+ Revision: 176581
- new version

* Fri Jan 04 2008 Anssi Hannula <anssi@mandriva.org> 0.3.9-5mdv2008.1
+ Revision: 145195
- rebuild for new vdr

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 29 2007 Anssi Hannula <anssi@mandriva.org> 0.3.9-4mdv2008.1
+ Revision: 103193
- rebuild for new vdr

* Sun Jul 08 2007 Anssi Hannula <anssi@mandriva.org> 0.3.9-3mdv2008.0
+ Revision: 50039
- rebuild for new vdr

* Thu Jun 21 2007 Anssi Hannula <anssi@mandriva.org> 0.3.9-2mdv2008.0
+ Revision: 42125
- rebuild for new vdr

* Sat May 19 2007 Anssi Hannula <anssi@mandriva.org> 0.3.9-1mdv2008.0
+ Revision: 28473
- 0.3.9

* Sat May 05 2007 Anssi Hannula <anssi@mandriva.org> 0.3.8-4mdv2008.0
+ Revision: 22677
- rebuild for new vdr


* Tue Dec 05 2006 Anssi Hannula <anssi@mandriva.org> 0.3.8-3mdv2007.0
+ Revision: 90967
- rebuild for new vdr

* Tue Oct 31 2006 Anssi Hannula <anssi@mandriva.org> 0.3.8-2mdv2007.1
+ Revision: 74078
- rebuild for new vdr
- Import vdr-plugin-remote

* Thu Aug 03 2006 Anssi Hannula <anssi@mandriva.org> 0.3.8-1mdv2007.0
- initial Mandriva release

